
Katello - Bug #4758

401 on enabled repos call from katello-agent

03/20/2014 08:22 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When running katello-agent I was getting a 401 when calling enabled repos.

Steps to Reproduce

1. Create a product and repo

2. Register a system

3. Install katello-agent and set it up

4. Notice 401 in logs

Associated revisions

Revision a89d70ad - 03/21/2014 08:33 PM - Eric Helms

Fixes #4758: Adds client authentication to enabled repos call.

After moving the client authentication solely to the Candlepin proxies

controller, the enabled repos call from katello agent could no longer

complete successfully. This slightly re-factor the client cert to be

generic to any client providing an SSL cert and includes this authentication

method for the enabled repos call in the V1 systems controller.

Revision 9d5fe9e7 - 03/21/2014 09:08 PM - Eric Helms

Merge pull request #3859 from ehelms/fixes-4758

Fixes #4758: Adds client authentication to enabled repos call.

History

#1 - 03/21/2014 02:11 PM - Eric Helms

- Status changed from New to Assigned

#2 - 03/21/2014 08:05 PM - Mike McCune

- Triaged set to Yes

#3 - 03/21/2014 08:21 PM - Mike McCune

- Triaged deleted (Yes)

#4 - 03/21/2014 09:05 PM - Mike McCune

- Triaged set to Yes

#5 - 03/21/2014 09:52 PM - Eric Helms

- Status changed from Assigned to Closed
- % Done changed from 0 to 100

Applied in changeset katello|commit:a89d70adb68c0d4cf19a6b551d9279bdc97291ac.

#6 - 08/21/2014 02:36 PM - Eric Helms

- translation missing: en.field_release set to 13
